#### Beyond Linux® From Scratch (systemd Edition) - Version 11.1

### Chapter 33. GNOME Libraries and Desktop

- Prev

  gnome-autoar-0.4.3

- Next

  gnome-menus-3.36.0

- Up
- Home

# gnome-desktop-41.3

## Introduction to GNOME Desktop

The GNOME Desktop package contains a library that provides an API shared by several applications on the GNOME Desktop.

This package is known to build and work properly using an LFS-11.1 platform.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/gnome-desktop/41/gnome-desktop-41.3.tar.xz

- Download (FTP): ftp://ftp.acc.umu.se/pub/gnome/sources/gnome-desktop/41/gnome-desktop-41.3.tar.xz

- Download MD5 sum: e160eea11c250a11fa6d3a749c8cce81

- Download size: 716 KB

- Estimated disk space required: 20 MB

- Estimated build time: 0.2 SBU (Using parallelism=4)

### GNOME Desktop Dependencies

#### Required

gsettings-desktop-schemas-41.0, GTK+-3.24.31, ISO Codes-4.9.0, itstool-2.0.7, libseccomp-2.5.3, libxml2-2.9.13, and xkeyboard-config-2.35.1

#### Recommended

bubblewrap-0.5.0 (needed for thumbnailers in Nautilus) and gobject-introspection-1.70.0

#### Optional

GTK-Doc-1.33.2

User Notes: https://wiki.linuxfromscratch.org/blfs/wiki/gnome-desktop

## Installation of GNOME Desktop

Install GNOME Desktop by running the following commands:

    mkdir build &&
    cd    build &&

    meson --prefix=/usr                 \
          --buildtype=release           \
          -Dgnome_distributor="BLFS" .. &&
    ninja

This package does not come with a test suite.

Now, as the `root` user:

    ninja install

## Command Explanations

`--buildtype=release`: Specify a buildtype suitable for stable releases of the package, as the default may produce unoptimized binaries.

`-Dgnome_distributor="Some Name"`: Use this parameter to supply a custom name in the “Distributor:” field of the “GNOME About” display window.

`-Dgtk_doc=true`: Use this parameter if you wish to build the API documentation.

`-Dinstalled_tests=true`: Use this parameter you wish to enable the installed tests.

## Contents

Installed Programs: None
Installed Library: libgnome-desktop-3.so
Installed Directories: /usr/include/gnome-desktop-3.0, /usr/libexec/gnome-desktop-debug, /usr/share/gnome, /usr/share/gtk-doc/html/gnome-desktop3, and /usr/share/help/*/{fdl,gpl,lgpl}

### Short Descriptions

`libgnome-desktop-3.so` | contains functions shared by several GNOME applications

Last updated on

- Prev

  gnome-autoar-0.4.3

- Next

  gnome-menus-3.36.0

- Up
- Home